%{?nodejs_find_provides_and_requires}
%global packagename rollup
%global enable_tests 0
Name:           nodejs-rollup
Version:        0.41.6
Release:        1
Summary:        Next-generation ES6 module bundler
License:        MIT
URL:            https://github.com/rollup/rollup
Source0:        https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
#git clone https://github.com/rollup/rollup
#cd test
#git archive --prefix='test/' --format=tar tags/v%{version}:test/ | bzip2 > tests-%{version}.tar.bz2
Source1:        tests-%{version}.tar.bz2
#git clone https://github.com/rollup/rollup
#cd src
#git archive --prefix='src/' --format=tar tags/v%{version}:src/ | bzip2 > src-%{version}.tar.bz2
Source2:        src-%{version}.tar.bz2
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:  mocha     npm(buble)
%endif
%description
Next-generation ES6 module bundler

%prep
%autosetup -n package
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package
sed -i '1s/env //' bin/rollup

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json bin/ dist/ \
    %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/rollup %{buildroot}%{nodejs_sitelib}/%{packagename}/bin/rollup
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/rollup \
    %{buildroot}%{_bindir}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc CHANGELOG.md README.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Thu Aug 20 2020 wangyue <wangyue92@huawei.com> - 0.41.6-1
- package init
